Show / Hide Table of Contents

# Interface IWebhook

Represents a webhook object on Discord.

##### Inherited Members

IDeletable.DeleteAsync(RequestOptions)
ISnowflakeEntity.CreatedAt
IEntity<UInt64>.Id

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public interface IWebhook : IDeletable, ISnowflakeEntity, IEntity<ulong>

### Properties

| Improve this Doc View Source

#### AvatarId

Gets the ID of this webhook's default avatar.

##### Declaration

    string AvatarId { get; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### Channel

Gets the channel for this webhook.

##### Declaration

    ITextChannel Channel { get; }

##### Property Value

Type | Description
--- | ---
ITextChannel |

| Improve this Doc View Source

#### ChannelId

Gets the ID of the channel for this webhook.

##### Declaration

    ulong ChannelId { get; }

##### Property Value

Type | Description
--- | ---
System.UInt64 |

| Improve this Doc View Source

#### Creator

Gets the user that created this webhook.

##### Declaration

    IUser Creator { get; }

##### Property Value

Type | Description
--- | ---
IUser |

| Improve this Doc View Source

#### Guild

Gets the guild owning this webhook.

##### Declaration

    IGuild Guild { get; }

##### Property Value

Type | Description
--- | ---
IGuild |

| Improve this Doc View Source

#### GuildId

Gets the ID of the guild owning this webhook.

##### Declaration

    ulong? GuildId { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.UInt64> |

| Improve this Doc View Source

#### Name

Gets the default name of this webhook.

##### Declaration

    string Name { get; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### Token

Gets the token of this webhook.

##### Declaration

    string Token { get; }

##### Property Value

Type | Description
--- | ---
System.String |

### Methods

| Improve this Doc View Source

#### GetAvatarUrl(ImageFormat, UInt16)

Gets the URL to this webhook's default avatar.

##### Declaration

    string GetAvatarUrl(ImageFormat format = ImageFormat.Auto, ushort size = 128)

##### Parameters

Type | Name | Description
--- | --- | ---
ImageFormat | format |
System.UInt16 | size |

##### Returns

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### ModifyAsync(Action<WebhookProperties>, RequestOptions)

Modifies this webhook.

##### Declaration

    Task ModifyAsync(Action<WebhookProperties> func, RequestOptions options = null)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Action<WebhookProperties> | func |
RequestOptions | options |

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.Task |